Bug 1351465 - Backupninja dup handler fails on par2+s3+http because of bash error
Summary: Backupninja dup handler fails on par2+s3+http because of bash error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: backupninja
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-30 07:05 UTC by Mike Goodwin
Modified: 2016-07-28 01:19 UTC (History)
1 user (show)

Fixed In Version: backupninja-1.0.1-8.fc24 backupninja-1.0.1-8.fc23 backupninja-1.0.1-8.el7 backupninja-1.0.1-8.el5 backupninja-1.0.1-8.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-15 21:26:11 UTC
Type: Bug


Attachments (Terms of Use)
/usr/share/backupninja/dup patch (1.77 KB, patch)
2016-06-30 07:05 UTC, Mike Goodwin
no flags Details | Diff

Description Mike Goodwin 2016-06-30 07:05:58 UTC
Created attachment 1174357 [details]
/usr/share/backupninja/dup patch

Description of problem:

dup handler does not work properly with par2+s3+http:// AWS credentials, if present in the config, are NOT set in the environment unless it sees exactly "s3+http" - I have patched the source to include a less stringent regex search that allows the handler to operate properly. The error presents itself in the following manner because it is the wrapper that fails and as such looks to duplicity like a bad back-end: 

Error: UnsupportedBackendScheme: scheme not supported in url: par2+s3+http://bucket

which occurs because this is actually failing inside the wrapper:

NoAuthHandlerFound: No handler was ready to authenticate. 1 handlers were checked. ['HmacAuthV1Handler'] Check your credentials

There's also a small annoyance/error fixed by this as well, which doesn't outright cause anything to fail, but is still an annoyance:

/usr/share/backupninja/dup: line 119: [: : integer expression expected

This part is fixed by the first half of the patch

Version-Release number of selected component (if applicable):

backupninja-1.0.1-5.el7.noarch

How reproducible:

Always

Steps to Reproduce:
1. Create any.dup config with par2+s3+http://bucket as the backend (supported fine by duplicity) 
2. Bash handler for .dup will NOT find AWS credentials inside the config file because the if statement skips over it due to not recognizing par2+s3+http
3. Backup fails because it doesn't not authenticate properly against AWS API

Comment 1 Mike Goodwin 2016-06-30 07:10:08 UTC
Another thing: 

I would have normally filed this somewhere with upstream, but 1. It seems locked/dead 2. There doesn't even seem to be a place to submit against. So this is my feeble attempt to get it fixed where I end up using it.

Comment 2 Denis Fateyev 2016-07-09 21:19:04 UTC
Thanks for the patch.
Please test the latest updates from testing.

Comment 3 Fedora Update System 2016-07-09 21:20:12 UTC
backupninja-1.0.1-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-81d724afa0

Comment 4 Fedora Update System 2016-07-09 21:20:17 UTC
backupninja-1.0.1-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e51c5c993b

Comment 5 Fedora Update System 2016-07-09 21:20:20 UTC
backupninja-1.0.1-8.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f636624c60

Comment 6 Fedora Update System 2016-07-09 21:20:24 UTC
backupninja-1.0.1-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1e7b32673

Comment 7 Fedora Update System 2016-07-09 21:20:28 UTC
backupninja-1.0.1-8.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-91941240b7

Comment 8 Fedora Update System 2016-07-09 21:20:32 UTC
backupninja-1.0.1-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0dc986334e

Comment 9 Fedora Update System 2016-07-12 02:47:52 UTC
backupninja-1.0.1-8.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-91941240b7

Comment 10 Fedora Update System 2016-07-12 02:54:19 UTC
backupninja-1.0.1-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0dc986334e

Comment 11 Fedora Update System 2016-07-12 03:27:22 UTC
backupninja-1.0.1-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1e7b32673

Comment 12 Fedora Update System 2016-07-12 03:56:05 UTC
backupninja-1.0.1-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e51c5c993b

Comment 13 Fedora Update System 2016-07-12 03:59:33 UTC
backupninja-1.0.1-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81d724afa0

Comment 14 Fedora Update System 2016-07-12 06:17:32 UTC
backupninja-1.0.1-8.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f636624c60

Comment 15 Fedora Update System 2016-07-15 21:26:09 UTC
backupninja-1.0.1-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-07-19 22:22:51 UTC
backupninja-1.0.1-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-07-27 19:17:19 UTC
backupninja-1.0.1-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-07-28 00:18:30 UTC
backupninja-1.0.1-8.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-07-28 01:19:14 UTC
backupninja-1.0.1-8.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.